package com.bjsxt.web.filter;

import com.bjsxt.pojo.Users;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.io.IOException;

public class UserLoginFilter implements Filter {
    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void destroy() {

    }

    @Override
    public void doFilter(ServletRequest arg0, ServletResponse arg1, FilterChain chain) throws IOException, ServletException {
        //获取用户访问的URI
        HttpServletRequest req = (HttpServletRequest) arg0;
        String uri = req.getRequestURI();
        //判断当前访问的URI是否是用户登录资源，如果是则放行
        if(uri.indexOf("login")!=-1||uri.indexOf("userLogin")!=-1){
            chain.doFilter(arg0,arg1);
        }else {
            //用户是否登录的判断
            HttpSession session = req.getSession();
            Users user = (Users) session.getAttribute("user");
            if(user!=null&&user.getUsername().length()>0){
                chain.doFilter(arg0,arg1);
            }else {
                req.setAttribute("msg","请登录");
                req.getRequestDispatcher("/login").forward(arg0,arg1);
            }
        }
    }
}
